package ru.yandex.direct.web.entity.uac.validation

import ru.yandex.direct.validation.result.Defect

fun invalidAvatarsUrl(): Defect<Void> {
    return Defect(UacDefectIds.Gen.INVALID_AVATARS_URL)
}

fun invalidTypeOfAvatarsUrl(): Defect<Void> {
    return Defect(UacDefectIds.Gen.INVALID_TYPE_OF_AVATARS_URL)
}

fun segmentCreationFromFileFailed(): Defect<Void> {
    return Defect(UacDefectIds.Gen.SEGMENT_CREATION_FROM_FILE_FAILED)
}

fun yaAudienceTypedClientError(message: String?): Defect<String> {
    return Defect(UacDefectIds.Str.YA_AUDIENCE_TYPED_ERROR, message)
}
